/* Navbar */

.navbar-custom {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 10px 7%;
  position: sticky;
  top: 0;
  z-index: 1000;
  backdrop-filter: blur(14px);
  background: rgba(8, 8, 15, 0.6);
  border-bottom: 1px solid rgba(255,255,255,0.08);
}

/* Logo */

.logo {
  font-size: 30px;
  font-weight: 800;
  color: #ffd700;
}

.logo span {
  color: white;
}

/* Nav Links */

.nav-links {
  display: flex;
  gap: 35px;
  align-items: center;
}

.nav-links a {
  color: white;
  text-decoration: none;
  transition: 0.3s;
}

.nav-links a:hover {
  color: #ffd700;
}

/* Button */

.nav-btn {
  padding: 12px 24px;
  border-radius: 50px;
  border: none;
  background: linear-gradient(135deg, #ffd700, #ff9800);
  color: #000;
  font-weight: 700;
  cursor: pointer;
}

/* Toggle Button */

.toggle-btn {
  display: none;
  font-size: 28px;
  color: white;
  cursor: pointer;
  position: relative;
  width: 30px;
  height: 30px;
}

/* Icons */

.open-icon,
.close-icon {
  position: absolute;
  top: 0;
  left: 0;
  transition: 0.3s;
}

/* Close icon hidden */

.close-icon {
  opacity: 0;
  transform: rotate(90deg);
}

/* When Open */

#menu-toggle:checked + .toggle-btn .open-icon {
  opacity: 0;
  transform: rotate(90deg);
}

#menu-toggle:checked + .toggle-btn .close-icon {
  opacity: 1;
  transform: rotate(0deg);
}

/* Responsive */

@media (max-width: 768px) {

  .toggle-btn {
    display: block;
  }

  .nav-links {
    position: absolute;
    top: 70px;
    left: 0;
    width: 100%;
    background: rgba(30, 30, 31, 0.95);
    flex-direction: column;
    padding: 25px 0;
    gap: 25px;
    display: none;
  }

  #menu-toggle:checked ~ .nav-links {
    display: flex;
  }

}